package pack

import (
	"fmt"
	"github.com/issue9/conv"
	"youngee_b_api/model/common_model"
	"youngee_b_api/model/http_model"
)

func HttpTaskScriptListRequestToCondition(req *http_model.TaskScriptListRequest) *common_model.TalentConditions {
	fmt.Printf("%+v", req)
	return &common_model.TalentConditions{
		ProjectId:        conv.MustInt64(req.ProjectId),
		ScriptStatus:     conv.MustInt64(req.ScriptStatus),
		StrategyId:       conv.MustInt64(req.StrategyId),
		TaskId:           conv.MustString(req.TaskId),
		PlatformNickname: conv.MustString(req.PlatformNickname),
	}
}
