package pack

import (
	"fmt"
	"github.com/issue9/conv"
	"youngee_b_api/model/common_model"
	"youngee_b_api/model/http_model"
)

func HttpTaskSketchListRequestToCondition(req *http_model.TaskSketchListRequest) *common_model.TalentConditions {
	fmt.Printf("初稿转换 %+v", req)
	return &common_model.TalentConditions{
		ProjectId:        conv.MustInt64(req.ProjectId),
		SketchStatus:     conv.MustInt64(req.SketchStatus),
		StrategyId:       conv.MustInt64(req.StrategyId),
		TaskId:           conv.MustString(req.TaskId),
		PlatformNickname: conv.MustString(req.PlatformNickname),
	}
}
